#ifndef VIRTUALMETHODRETURNVALUE_H_
#define VIRTUALMETHODRETURNVALUE_H_

#include "MethodReturnValueBase.h"
#include "smoke.h"

class VirtualMethodReturnValue : public MethodReturnValueBase
{
public:
	VirtualMethodReturnValue(Smoke *smoke, const Smoke::Index meth, const Smoke::Stack stack, zval* retval);
	virtual ~VirtualMethodReturnValue();
	Marshall::Action action();
};

#endif /*VIRTUALMETHODRETURNVALUE_H_*/
